Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.plastic
Class NoopDelegate

    java.lang.Object
      org.apache.tapestry5.internal.plastic.NoopDelegate

All Implemented Interfaces:
  PlasticClassTransformer, PlasticManagerDelegate

Direct Known Subclasses:
  StandardDelegate

    public class NoopDelegate

extends java.lang.Object
implements PlasticManagerDelegate

Constructor Summary
`NoopDelegate()`

Method Summary
`ClassInstantiator` | `configureInstantiator(java.lang.String className, ClassInstantiator instantiator)` Configures the instantiator for a transformed PlasticClass.
`void` | `transform(PlasticClass plasticClass)` Perform whatever transformations are appropriate on this PlasticClass.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoopDelegate

    public NoopDelegate()

Method Detail

### transform

    public void transform(PlasticClass plasticClass)

  Description copied from interface: `PlasticClassTransformer`
  Perform whatever transformations are appropriate on this PlasticClass.

  Specified by:
    `transform` in interface `PlasticClassTransformer`

### configureInstantiator

    public ClassInstantiator configureInstantiator(java.lang.String className,
                                                   ClassInstantiator instantiator)

  Description copied from interface: `PlasticManagerDelegate`
  Configures the instantiator for a transformed PlasticClass.

  Specified by:
    `configureInstantiator` in interface `PlasticManagerDelegate`
  Parameters:
    `className` - fully qualified class name that was transformed
    `instantiator` - default instantiator, which has an empty `InstanceContext`
  Returns:
    the same instantiator, or a new one configured with additional `InstanceContext` values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.